#### PyKDE - Python Bindings for KDE

# class KArchiveEntry |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KArchiveEntry
Inherits |

### methods

- KArchiveEntry (archive, name, access, date, user, group, symlink)

  returns a KArchiveEntry instance
  Argument | Type | Default
  --- | --- | ---
  archive | KArchive |
  name | QString |
  access | int |
  date | int |
  user | QString |
  group | QString |
  symlink | QString |

- archive ()

  returns (KArchive)

- date ()

  returns (int)

- datetime ()

  returns (QDateTime)

- group ()

  returns (QString)

- isDirectory ()

  returns (bool)

- isFile ()

  returns (bool)

- name ()

  returns (QString)

- permissions ()

  returns (mode_t)

- symlink ()

  returns (QString)

- user ()

  returns (QString)